> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Установить активность пересылки

> Приостанавливает или возобновляет клиентское правило пересылки.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ru.json PATCH /v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active:
    patch:
      tags:
        - public-accounts
        - public-forwarding
      summary: Установить активность пересылки
      description: Приостанавливает или возобновляет клиентское правило пересылки.
      operationId: >-
        set_public_forwarding_active_v1_public_accounts__account_id__forwarding__forwarding_id__active_patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: forwarding_id
          required: true
          schema:
            format: uuid
            title: Forwarding Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ForwardingSetActiveRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForwardingDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Ошибка валидации
      security:
        - PublicBearerAuth: []
components:
  schemas:
    ForwardingSetActiveRequest:
      description: Запрос на приостановку или возобновление пересылки.
      properties:
        active:
          description: Должна ли быть активна переадресация
          title: Активен
          type: boolean
      required:
        - active
      title: ForwardingSetActiveRequest
      type: object
    ForwardingDTO:
      properties:
        active:
          description: Активна ли переадресация
          title: Активен
          type: boolean
        created_at:
          description: Временная метка создания правила переадресации
          title: Создано в
          type: string
        id:
          description: Правило переадресации UUID
          format: uuid
          title: ID
          type: string
        scope_id:
          description: Ресурс UUID для области пересылки
          format: uuid
          title: Id области
          type: string
        scope_type:
          description: Тип области ресурса для правила переадресации
          enum:
            - account
            - workspace
            - domain
          title: Тип области
          type: string
        target_email:
          description: Адрес электронной почты назначения для пересылки
          title: Целевой адрес электронной почты
          type: string
        updated_at:
          description: Временная метка последнего обновления правила переадресации
          title: Обновлено в
          type: string
        verification_expires_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Временная метка истечения срока подтверждения
          title: Срок действия проверки
        verification_required:
          description: Требуется ли проверка получателя
          title: Проверка обязательна
          type: boolean
        verification_sent_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Время отправки письма с подтверждением
          title: Время отправки проверки
        verification_state:
          description: Статус проверки получателя
          enum:
            - internal
            - pending
            - verified
            - expired
          title: Состояние проверки
          type: string
        verification_verified_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Временная метка завершения проверки
          title: Время подтверждения проверки
      required:
        - id
        - target_email
        - scope_type
        - scope_id
        - active
        - verification_state
        - verification_required
        - created_at
        - updated_at
      title: ForwardingDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Сведения
          type: array
      title: HTTPОшибка проверки
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Расположение
          type: array
        msg:
          title: Сообщение
          type: string
        type:
          title: Тип ошибки
          type: string
      required:
        - loc
        - msg
        - type
      title: Ошибка проверки
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````